petsc-3.15.0 2021-03-30
Report Typos and Errors

# VecRestoreArrayAndMemType

Restores a vector after VecGetArrayAndMemType() has been called.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecRestoreArrayAndMemType(Vec x,PetscScalar **a)

Logically Collective on Vec

### Input Parameters

| x | - the vector
| a | - location of pointer to array obtained from VecGetArrayAndMemType()

### See Also

VecGetArrayAndMemType(), VecGetArray(), VecRestoreArrayRead(), VecRestoreArrays(), VecRestoreArrayF90(), VecRestoreArrayReadF90(),
VecPlaceArray(), VecRestoreArray2d(), VecGetArrayPair(), VecRestoreArrayPair()

### Level

beginner

### Location

src/vec/vec/interface/rvector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages